## ostree 2022.2

=== debian/changelog ===
ostree (2022.2-3) unstable; urgency=medium

  * d/rules: Correct argument used to disable gjs on s390x

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Mar 2022 16:16:43 +0000

ostree (2022.2-2) unstable; urgency=medium

  * d/control: Disable JavaScript-based tests on s390x.
    Mitigates: ostreedev/ostree#2527
  * d/rules: Explicitly disable JS-based tests on architectures where
    they're unreliable, or where an up-to-date gjs is unavailable.
    Otherwise we'd build and install these tests if gjs (maybe an
    old version) happens to be installed, despite it not being in
    Build-Depends.

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Mar 2022 09:55:53 +0000

ostree (2022.2-1) unstable; urgency=medium

  * New upstream release
    - Updated libglnx submodule fixes an incompatibility with eCryptFS
      (Closes: #1004467)
  * Install new script /usr/libexec/libostree/s390x-se-luks-gencpio
    into ostree-boot
  * d/p/s390x-se-luks-gencpio-Fix-shebang-syntax.patch,
    d/p/s390x-se-luks-gencpio-Use-interoperable-path-for-bash.patch:
    Add patches to retain compatibility with non-/usr-merged systems
  * d/libostree-1-1.symbols: Update
  * d/p/test-prune-Read-to-the-end-of-cut-1-output.patch:
    Add patch to fix an intermittent test failure involving SIGPIPE
  * Revert Lintian overrides to latest released version of Lintian

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Mar 2022 21:12:45 +0000

ostree (2022.1-3) unstable; urgency=medium

  * Use debhelper 11 features instead of dh-exec
  * Move README.md from gir1.2-ostree-1.0 to libostree-doc
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Jan 2022 10:43:09 +0000

ostree (2022.1-2) experimental; urgency=medium

  * ostree Breaks flatpak-builder (<< 1.2.1-2~).
    Previous versions relied on being able to use FUSE 2 options that are
    no longer supported by FUSE 3, so prepare a lockstep transition.

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Jan 2022 12:42:08 +0000

ostree (2022.1-1) experimental; urgency=medium

  * New upstream release
  * Build using FUSE 3
  * Update syntax of Lintian overrides for newer Lintian

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Jan 2022 10:44:49 +0000

ostree (2021.6-1) unstable; urgency=medium

  * New upstream release
    - Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Dec 2021 11:39:48 +0000

ostree (2021.5-1) unstable; urgency=medium

  * New upstream release
    - Update symbols file
  * d/p/test-commit-sign.sh-Skip-a-unit-test-when-running-as-an-i.patch:
    Mark as applied upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Oct 2021 17:51:27 +0100

ostree (2021.4-1) unstable; urgency=medium

  * New upstream release
    - Update symbols file
    - d/copyright: Update
    - Drop patch that was applied upstream
  * Standards-Version: 4.6.0 (no further changes)
  * d/control: Canonicalize field name case Multi-arch => Multi-Arch
  * Bump debhelper compat level from 12 to 13
    - debian/rules: Drop --fail-missing argument to dh_missing, which is
      now the default.
  * Remove Lintian override for #947258, fixed in lintian 2.105.0
  * d/p/test-commit-sign.sh-Skip-a-unit-test-when-running-as-an-i.patch:
    Add patch to fix installed-tests

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Oct 2021 23:53:20 +0100

ostree (2021.3-2) unstable; urgency=medium

  * d/gbp.conf: Switch branch back to debian/master
  * d/p/tests-Unset-SOURCE_DATE_EPOCH.patch:
    Apply patch from upstream to fix tests with SOURCE_DATE_EPOCH
    - Revert "d/test.sh, d/tests: Unset SOURCE_DATE_EPOCH",
      no longer needed
  * d/rules: Normalize permissions of installed-tests
  * Adjust Lintian overrides.
    Recent debhelper installs units into /usr/lib/systemd, so adjust our
    override to match either way.

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Aug 2021 19:30:23 +0100

ostree (2021.3-1) experimental; urgency=medium

  * New upstream release
    - Increase build-dependency to GLib 2.44
    - d/libostree-1-1.symbols: Update
    - Drop patches that were applied upstream
  * Re-enable gjs tests on architectures where it is available
  * d/libostree-1-1.symbols: Remove a duplicate symbol
  * d/test.sh, d/tests: Unset SOURCE_DATE_EPOCH.
    Otherwise, some tests will think we're downgrading, and fail.

 -- Simon McVittie <smcv@debian.org>  Sun, 25 Jul 2021 19:18:51 +0100

ostree (2021.2-2) experimental; urgency=medium

  * d/p/libtest-On-failure-make-it-clearer-what-has-happened.patch:
    Mark patch as applied upstream
  * d/p/tests-Test-without-a-cache-directory-by-default.patch:
    Add patch from upstream to fix intermittent FTBFS on some filesystems

 -- Simon McVittie <smcv@debian.org>  Mon, 26 Apr 2021 10:15:06 +0100

ostree (2021.2-1) experimental; urgency=medium

  * New upstream release
    - Update symbols file
    - d/copyright: Update
  * d/test.sh: Line-buffer stdout.
    Otherwise, lines from stdout appear with an arbitrary delay, making it
    hard to tell what the order of events was.
  * d/p/libtest-On-failure-make-it-clearer-what-has-happened.patch:
    Add proposed patch to make test failures easier to debug

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Apr 2021 12:20:49 +0100

ostree (2021.1-1) experimental; urgency=medium

  * d/gbp.conf: Branch for experimental
  * New upstream release
    - Update symbols file
    - Drop a patch that was applied upstream
  * d/rules: Declare that we have grub >= 2.02.
    Debian's grub packaging runs grub-install in postinst, so we should
    be able to rely on grub actually getting updated.
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Apr 2021 13:53:50 +0100
