=== debian/control ===
Source: ostree
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
 Sjoerd Simons <sjoerd@debian.org>
Build-Depends:
 attr,
 autoconf,
 automake,
 bison,
 bsdextrautils <!nocheck> | bsdmainutils (<< 12) <!nocheck>,
 ca-certificates,
 cpio,
 debhelper-compat (= 13),
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 e2fslibs-dev,
 elfutils,
 fuse3,
 gjs [!alpha !hppa !ia64 !m68k !s390x !sh4 !sparc64 !x32],
 gnupg <!nocheck>,
 gobject-introspection,
 gtk-doc-tools <!nodoc>,
 libarchive-dev,
 libattr1-dev,
 libavahi-client-dev (>= 0.6.31),
 libavahi-glib-dev (>= 0.6.31),
 libcap-dev,
 libfuse3-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.44.0),
 libgpgme-dev,
 liblzma-dev,
 libmount-dev (>= 2.23),
 libselinux1-dev,
 libsoup2.4-dev (>= 2.39.1),
 libsystemd-dev,
 libtool,
 procps,
 python3 <!nocheck>,
 python3-yaml <!nocheck>,
 xsltproc <!nodoc>,
 zlib1g-dev,
Build-Depends-Indep:
 libglib2.0-doc,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/ostreedev/ostree/
Vcs-Git: https://salsa.debian.org/debian/ostree.git
Vcs-Browser: https://salsa.debian.org/debian/ostree

Package: gir1.2-ostree-1.0
Architecture: linux-any
Multi-Arch: same
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: content-addressed filesystem for operating system binaries (introspection)
 libostree provides a library and tools for managing bootable, immutable,
 versioned filesystem trees. See the ostree package's description for
 more details.
 .
 This package contains GObject-Introspection metadata, which can be used
 to generate dynamic bindings into languages such as Python and JavaScript.

Package: libostree-1-1
Architecture: linux-any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 flatpak (<< 0.8.7-2~),
Multi-Arch: same
Description: content-addressed filesystem for operating system binaries (library)
 libostree is a library for managing bootable, immutable, versioned
 filesystem trees. It is like git in that it checksums individual files
 and has a content-addressed object store; unlike git, it "checks out"
 the files using hardlinks into an immutable directory tree. This
 can be used to provide atomic upgrades with rollback, history and
 parallel-installation, particularly useful on "fixed purpose" systems
 such as embedded devices. It is also used by the Flatpak application
 runtime system.
 .
 This package contains the shared library.

Package: libostree-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 gir1.2-ostree-1.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.44.0),
 libostree-1-1 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends},
Suggests:
 libostree-doc,
Description: Development files for the libostree library
 libostree is a library for managing bootable, immutable, versioned
 filesystem trees. It is like git in that it checksums individual files
 and has a content-addressed object store; unlike git, it "checks out"
 the files using hardlinks into an immutable directory tree. This
 can be used to provide atomic upgrades with rollback, history and
 parallel-installation, particularly useful on "fixed purpose" systems
 such as embedded devices. It is also used by the Flatpak application
 runtime system.
 .
 This package contains development headers and the pkg-config file for
 libostree.

Package: libostree-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Description: Development documentation for the libostree library
 libostree provides a library and tools for managing bootable, immutable,
 versioned filesystem trees. See the ostree package's description for
 more details.
 .
 This package contains development documentation for libostree.

Package: ostree
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 flatpak-builder (<< 1.2.1-2~),
Description: content-addressed filesystem for operating system binaries
 libostree provides a library and tools for managing bootable, immutable,
 versioned filesystem trees. It is like git in that it checksums
 individual files and has a content-addressed object store; unlike git,
 it "checks out" the files using hardlinks into an immutable directory
 tree. This can be used to provide atomic upgrades with rollback, history
 and parallel-installation, particularly useful on "fixed purpose"
 systems such as embedded devices.
 .
 This package contains the executables used to manage and create
 filesystem trees. It does not affect the boot process for the system
 on which it is installed.

Package: ostree-boot
Architecture: linux-any
Depends:
 ostree (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dracut,
 grub-efi-amd64 | grub-pc | extlinux | syslinux | u-boot,
Breaks:
 ostree (<< ${binary:Version}),
 ostree-grub2 (<< ${binary:Version}),
Replaces:
 ostree (<< ${binary:Version}),
 ostree-grub2 (<< ${binary:Version}),
Provides:
 ostree-grub2 (= ${binary:Version}),
Description: libostree boot loader and initramfs integration
 libostree provides a library and tools for managing bootable, immutable,
 versioned filesystem trees. See the ostree package's description for
 more details.
 .
 This package contains configuration snippets and executables needed to
 boot a Debian derivative from a libostree filesystem deployment. This
 integration currently has some limitations:
 .
  - the initramfs must have been made using dracut
  - the boot loader must be one that is supported by libostree, currently
    GNU GRUB 2, syslinux/extlinux or Das U-Boot

Package: ostree-tests
Architecture: linux-any
Depends:
 attr,
 bsdextrautils | bsdmainutils (<< 12),
 ca-certificates,
 cpio,
 fuse3,
 gir1.2-ostree-1.0,
 gjs [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
 gnupg,
 ostree,
 python3,
 python3-yaml,
 ${misc:Depends},
 ${shlibs:Depends},
Description: content-addressed filesystem for operating system binaries - tests
 libostree provides a library and tools for managing bootable, immutable,
 versioned filesystem trees. See the ostree package's description for
 more details.
 .
 This package contains automated tests.
