=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

binaries := $(shell dh_listpackages)

%:
	dh $@ --with=gir

override_dh_autoreconf:
	env NOCONFIGURE=1 dh_autoreconf ./autogen.sh

configure_options = \
	--enable-installed-tests \
	--with-avahi \
	--with-dracut \
	--with-grub2 \
	--with-grub2-mkconfig-path=/usr/sbin/grub-mkconfig \
	--with-libarchive \
	--with-libsystemd \
	--with-libmount \
	--with-modern-grub \
	--with-soup \
	--with-selinux \
	--with-systemdsystemgeneratordir=/lib/systemd/system-generators \
	--with-systemdsystemunitdir=/lib/systemd/system \
	--without-smack \
	$(NULL)

ifneq ($(filter alpha hppa ia64 m68k s390x sh4 sparc64 x32,$(DEB_HOST_ARCH)),)
configure_options += ac_cv_path_GJS=
endif

ifneq ($(filter libostree-doc,$(binaries)),)
configure_options += --enable-gtk-doc
else
configure_options += --disable-gtk-doc
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
configure_options += --enable-man
else
configure_options += --disable-man
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_options)

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	chmod +x tests/test-pull-bareuseronly.sh
	debian/test.sh
endif

override_dh_auto_test-indep:
	:

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	# docbook-xsl capitalizes the whole heading, including the macro
	# used to represent a single quote... https://bugs.debian.org/821235
	sed -i -e 's,\*(AQ,*(Aq,g' \
		debian/tmp/usr/share/man/man1/ostree-remote.1 \
		debian/tmp/usr/share/man/man1/ostree-static-delta.1 \
		$(NULL)
endif

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	rm -f debian/tmp/usr/libexec/installed-tests/libostree/*.la
	:
	dh_install

override_dh_makeshlibs:
	# this is an LD_PRELOAD, not a real shared library
	dh_makeshlibs -Xinstalled-tests/ostree/libreaddir-rand.so

override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
	# quite right for installed-tests
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/*/*.so
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_installsystemd:
	dh_installsystemd --no-start
