## ostree 2022.5

=== debian/changelog ===
ostree (2022.5-4) unstable; urgency=medium

  * Re-enable gjs-based tests on armel.
    Adrian Bunk and Mike Hommey were able to fix mozjs102 on armel, so we
    can continue to have gjs on that architecture for Debian 12.
  * d/watch: Adapt to Github website changes

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Oct 2022 10:19:36 +0100

ostree (2022.5-3) unstable; urgency=medium

  * d/control, d/rules: Disable gjs-based tests on armel.
    It's looking as though mozjs102, and therefore the next gjs release,
    will not support armel due to its lack of atomic instructions.
  * d/control, d/rules: Re-enable gjs tests on s390x

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Aug 2022 09:47:41 +0100

ostree (2022.5-2) unstable; urgency=medium

  * Build with libcurl http backend instead of libsoup2.4.
    This avoids library conflicts during the transition to GNOME 43, in
    which core apps and libraries have switched to libsoup3, which conflicts
    with libsoup2.4.
    We still build-depend on libsoup2.4, because it's used in the test suite
    and installed-tests. (Closes: #1016589)

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Aug 2022 10:00:02 +0100

ostree (2022.5-1) unstable; urgency=medium

  * New upstream release
  * debian/libostree-1-1.symbols: Update
  * d/copyright: Update
  * Drop patches that were applied upstream
  * Update Lintian overrides
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Jul 2022 19:00:58 +0100

ostree (2022.4-2) unstable; urgency=medium

  [ Dan Nicholson ]
  * Backport patch to fix 2022.4 symbol version parent

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jun 2022 20:58:51 +0100

ostree (2022.4-1) unstable; urgency=medium

  [ Dan Nicholson ]
  * New upstream release
    - Drop patches that were applied upstream
  * d/control: Bump libglib2.0-dev dependency to 2.66.0
  * Add new ostree-boot-complete.service unit to ostree-boot

  [ Simon McVittie ]
  * d/copyright: Update
  * New upstream release
  * d/libostree-1-1.symbols: Update
  * d/p/test-basic-c-Don-t-assert-that-extended-attributes-are-av.patch:
    Add patch to skip a test-case if /var/tmp doesn't support xattrs

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jun 2022 16:35:46 +0100
