=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  e2fslibs-dev,
  elfutils,
  fuse3,
- gjs [!alpha !hppa !ia64 !m68k !s390x !sh4 !sparc64 !x32],
+ gjs [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
  gnupg <!nocheck>,
  gobject-introspection,
  gtk-doc-tools <!nodoc>,
@@ -29,9 +29,10 @@
  libavahi-client-dev (>= 0.6.31),
  libavahi-glib-dev (>= 0.6.31),
  libcap-dev,
+ libcurl4-gnutls-dev | libcurl-dev,
  libfuse3-dev,
  libgirepository1.0-dev,
- libglib2.0-dev (>= 2.44.0),
+ libglib2.0-dev (>= 2.66.0),
  libgpgme-dev,
  liblzma-dev,
  libmount-dev (>= 2.23),
@@ -47,7 +48,7 @@
 Build-Depends-Indep:
  libglib2.0-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/ostreedev/ostree/
 Vcs-Git: https://salsa.debian.org/debian/ostree.git
 Vcs-Browser: https://salsa.debian.org/debian/ostree
@@ -96,7 +97,7 @@
 Section: libdevel
 Depends:
  gir1.2-ostree-1.0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.44.0),
+ libglib2.0-dev (>= 2.66.0),
  libostree-1-1 (= ${binary:Version}),
  pkg-config,
  ${misc:Depends},
