=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 configure_options = \
 	--enable-installed-tests \
 	--with-avahi \
+	--with-curl \
 	--with-dracut \
 	--with-grub2 \
 	--with-grub2-mkconfig-path=/usr/sbin/grub-mkconfig \
@@ -27,7 +28,7 @@
 	--without-smack \
 	$(NULL)
 
-ifneq ($(filter alpha hppa ia64 m68k s390x sh4 sparc64 x32,$(DEB_HOST_ARCH)),)
+ifneq ($(filter alpha hppa ia64 m68k sh4 sparc64 x32,$(DEB_HOST_ARCH)),)
 configure_options += ac_cv_path_GJS=
 endif
