## ostree 2022.7

=== debian/changelog ===
ostree (2022.7-2+deb12u1) bookworm; urgency=medium

  * d/control, d/gbp.conf: Configure for stable updates
  * d/p/curl-Assert-that-curl_multi_assign-worked.patch,
    d/p/curl-Make-socket-callback-during-cleanup-into-no-op.patch:
    Add patches from upstream 2024.8 to avoid libflatpak crash with an
    assertion failure when using curl 8.10.x.
    This was originally reported in testing/unstable, but can affect
    bookworm if using libcurl3-gnutls from bookworm-backports.
    (Closes: #1082121)

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Oct 2024 12:25:32 +0100

ostree (2022.7-2) unstable; urgency=medium

  * Skip test-sysroot.js on s390x (Mitigates: #1025532)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Dec 2022 11:11:05 +0000

ostree (2022.7-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/libostree-1-1.symbols: Update
  * Update Lintian overrides
  * d/p/configure-use-pkg-config-with-newer-gpgme-and-gpg-error.patch:
    Add patch from Luca Bruno to fix FTBFS with current gpgme Debian packages
  * d/rules: Update for removal of libreaddir-rand.so LD_PRELOAD module

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Nov 2022 10:54:28 +0000

ostree (2022.6-1) unstable; urgency=medium

  * New upstream release
  * Build-depend on libext2fs-dev instead of transitional e2fslibs-dev
  * Don't install s390x-se-luks-gencpio script.
    It was reimplemented in C as part of ostree(1).
  * Install another early-boot service in ostree-boot

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Oct 2022 10:48:34 +0100
