=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  debhelper-compat (= 13),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
- e2fslibs-dev,
+ libext2fs-dev,
  elfutils,
  fuse3,
  gjs [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
@@ -50,7 +50,7 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://github.com/ostreedev/ostree/
-Vcs-Git: https://salsa.debian.org/debian/ostree.git
+Vcs-Git: https://salsa.debian.org/debian/ostree.git -b debian/bookworm
 Vcs-Browser: https://salsa.debian.org/debian/ostree
 
 Package: gir1.2-ostree-1.0
