=== debian/tests/control ===
Tests: flaky-concurrency
Restrictions: flaky
Depends: gnome-desktop-testing, ostree-tests

Tests: flaky-sysroot
Architecture: s390x
Restrictions: flaky
Depends: gnome-desktop-testing, ostree-tests

Tests: gnome-desktop-testing
Depends: gnome-desktop-testing, ostree-tests

Tests: build
Restrictions: superficial
Depends: build-essential, libostree-dev, pkg-config
