## ostree 2023.6

=== debian/changelog ===
ostree (2023.6-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Enable composefs support.
    This is now on by default when compiled with sufficiently new kernel
    headers.
  * d/ostree-tests.install: Adjust for move of trivial-httpd to
    installed-tests directory

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Sep 2023 18:52:19 +0100

ostree (2023.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * deiban/libostree-1-1.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 10:01:24 -0400

ostree (2023.3-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Jun 2023 20:48:45 +0100

ostree (2023.3-1) experimental; urgency=medium

  * New upstream release
  * d/patches: Drop patch that was applied upstream
  * d/control: Update GObject-Introspection build-dependency
  * d/control, d/rules: Use libsoup 3 for test code

 -- Simon McVittie <smcv@debian.org>  Sat, 27 May 2023 17:34:25 +0100

ostree (2023.1-2) experimental; urgency=medium

  * d/control: Drop compatibility with bsdmainutils older than Debian 11
  * Standards-Version: 4.6.2 (no changes required)
  * Add patch to ensure capsh is found in tests' PATH (Closes: #1031353)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Feb 2023 12:42:45 +0000

ostree (2023.1-1) experimental; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/libostree-1-1.symbols: Update
  * d/p/configure-use-pkg-config-with-newer-gpgme-and-gpg-error.patch:
    Drop patch that was applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Feb 2023 11:17:55 +0000
