=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  autoconf,
  automake,
  bison,
- bsdextrautils <!nocheck> | bsdmainutils (<< 12) <!nocheck>,
+ bsdextrautils <!nocheck>,
  ca-certificates,
  cpio,
  debhelper-compat (= 13),
@@ -22,7 +22,7 @@
  fuse3,
  gjs [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
  gnupg <!nocheck>,
- gobject-introspection,
+ gobject-introspection (>= 1.51.5),
  gtk-doc-tools <!nodoc>,
  libarchive-dev,
  libattr1-dev,
@@ -31,13 +31,13 @@
  libcap-dev,
  libcurl4-gnutls-dev | libcurl-dev,
  libfuse3-dev,
- libgirepository1.0-dev,
+ libgirepository1.0-dev (>= 1.51.5),
  libglib2.0-dev (>= 2.66.0),
  libgpgme-dev,
  liblzma-dev,
  libmount-dev (>= 2.23),
  libselinux1-dev,
- libsoup2.4-dev (>= 2.39.1),
+ libsoup-3.0-dev (>= 3.0.0),
  libsystemd-dev,
  libtool,
  procps,
@@ -48,9 +48,9 @@
 Build-Depends-Indep:
  libglib2.0-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ostreedev/ostree/
-Vcs-Git: https://salsa.debian.org/debian/ostree.git -b debian/bookworm
+Vcs-Git: https://salsa.debian.org/debian/ostree.git
 Vcs-Browser: https://salsa.debian.org/debian/ostree
 
 Package: gir1.2-ostree-1.0
@@ -186,7 +186,7 @@
 Architecture: linux-any
 Depends:
  attr,
- bsdextrautils | bsdmainutils (<< 12),
+ bsdextrautils,
  ca-certificates,
  cpio,
  fuse3,
