=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 configure_options = \
 	--enable-installed-tests \
 	--with-avahi \
+	--with-composefs \
 	--with-curl \
 	--with-dracut \
 	--with-grub2 \
@@ -21,7 +22,7 @@
 	--with-libsystemd \
 	--with-libmount \
 	--with-modern-grub \
-	--with-soup \
+	--with-soup3 \
 	--with-selinux \
 	--with-systemdsystemgeneratordir=/lib/systemd/system-generators \
 	--with-systemdsystemunitdir=/lib/systemd/system \
