## ostree 2024.5

=== debian/changelog ===
ostree (2024.5-1build2) noble; urgency=medium

  * No-change rebuild against libgpgme11t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 01:34:59 +0100

ostree (2024.5-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:43:25 +0000

ostree (2024.5-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 16:15:22 +0000

ostree (2024.4-1) unstable; urgency=medium

  * New upstream release
  * Drop non-Debian-specific patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Mar 2024 10:54:27 +0000

ostree (2024.3-1) unstable; urgency=medium

  * New upstream release
  * d/p/tests-Generalize-has_gpgme-has_sign_ed25519-into-has_ostr.patch,
    d/p/tests-Use-skip_without_ostree_feature-to-detect-libarchiv.patch,
    d/p/test-admin-deploy-var-Don-t-rely-on-OSTREE_FEATURES.patch:
    Add proposed patches to fix an autopkgtest failure

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Feb 2024 21:02:32 +0000

ostree (2024.2-1) unstable; urgency=medium

  * New upstream release
  * Re-enable composefs.
    We can't run its unit tests on a Debian 12 kernel with /var/tmp on
    tmpfs, but they do pass on a sid kernel or if /var/tmp is disk-backed.
  * Build-depend on dh-sequence-gir instead of using --with
  * Update Lintian overrides for ostree-boot

 -- Simon McVittie <smcv@debian.org>  Sun, 11 Feb 2024 14:42:35 +0000

ostree (2024.1-1) unstable; urgency=medium

  * New upstream release
  * Package ostree-state-overlay@.service in ostree-boot

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Jan 2024 10:21:50 +0000

ostree (2023.8-2) unstable; urgency=medium

  * d/control, d/rules: Enable cross-compilation.
    When cross-compiling, this requires a version of gobject-introspection
    that is currently only available in experimental. When not
    cross-compiling, the version in testing is sufficient.

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Dec 2023 15:34:37 +0000

ostree (2023.8-1) unstable; urgency=medium

  * New upstream release
  * d/libostree-1-1.symbols: Update
  * d/p/bootloader-zipl-No-op-if-run-as-non-root.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Dec 2023 10:35:12 +0000

ostree (2023.7-3) unstable; urgency=medium

  * Remove version constraints unnecessary since bullseye
  * Remove maintscript entries unnecessary since bullseye
  * d/p/debian/Skip-test-admin-deploy-uboot.sh-on-s390x.patch:
    Really skip test-admin-deploy-uboot.sh on s390x

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Nov 2023 09:45:08 +0000

ostree (2023.7-2) unstable; urgency=medium

  * d/p/bootloader-zipl-No-op-if-run-as-non-root.patch:
    Add patch from upstream to avoid build-time test failure on s390x
  * d/p/debian/Skip-test-admin-deploy-uboot.sh-on-s390x.patch:
    Add patch to avoid another test failure on s390x
  * libostree-1-dev Provides gir1.2-ostree-1.0-dev.
    This is likely to be useful in the migration path to being able to turn
    off GObject-Introspection bindings when bootstrapping or cross-compiling.

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Oct 2023 11:33:28 +0100

ostree (2023.7-1) unstable; urgency=medium

  * New upstream release
  * Install systemd system units into /usr/lib/systemd/system.
    This was allowed by TC resolution #1053901. Build-depend on debhelper
    13.11.6~ to ensure that the units are still picked up by
    dh_installsystemd.
  * Depend on pkgconf in preference to pkg-config

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Oct 2023 10:36:48 +0100

ostree (2023.6-2) unstable; urgency=medium

  * d/rules: Disable composefs for now.
    Official buildds don't seem to support fsetxattr on the filesystem used
    for /var/tmp, which is required for the composefs tests.

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Sep 2023 12:06:27 +0100
