=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ostree
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -14,32 +15,36 @@
  bsdextrautils <!nocheck>,
  ca-certificates,
  cpio,
+ debhelper (>= 13.11.6~),
  debhelper-compat (= 13),
+ dh-sequence-gir,
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  libext2fs-dev,
  elfutils,
- fuse3,
- gjs [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
+ fuse3:native,
+ gir1.2-gio-2.0-dev,
+ gjs:native [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
  gnupg <!nocheck>,
- gobject-introspection (>= 1.51.5),
+ gobject-introspection,
+ gobject-introspection (>= 1.78.1-7~) <cross>,
  gtk-doc-tools <!nodoc>,
  libarchive-dev,
  libattr1-dev,
- libavahi-client-dev (>= 0.6.31),
- libavahi-glib-dev (>= 0.6.31),
+ libavahi-client-dev,
+ libavahi-glib-dev,
  libcap-dev,
  libcurl4-gnutls-dev | libcurl-dev,
  libfuse3-dev,
- libgirepository1.0-dev (>= 1.51.5),
- libglib2.0-dev (>= 2.66.0),
+ libglib2.0-dev,
  libgpgme-dev,
  liblzma-dev,
- libmount-dev (>= 2.23),
+ libmount-dev,
  libselinux1-dev,
  libsoup-3.0-dev (>= 3.0.0),
  libsystemd-dev,
  libtool,
+ pkgconf,
  procps,
  python3 <!nocheck>,
  python3-yaml <!nocheck>,
@@ -76,8 +81,6 @@
  ${shlibs:Depends},
 Pre-Depends:
  ${misc:Pre-Depends},
-Breaks:
- flatpak (<< 0.8.7-2~),
 Multi-Arch: same
 Description: content-addressed filesystem for operating system binaries (library)
  libostree is a library for managing bootable, immutable, versioned
@@ -97,12 +100,14 @@
 Section: libdevel
 Depends:
  gir1.2-ostree-1.0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.66.0),
+ libglib2.0-dev,
  libostree-1-1 (= ${binary:Version}),
- pkg-config,
+ pkgconf,
  ${misc:Depends},
 Suggests:
  libostree-doc,
+Provides:
+ gir1.2-ostree-1.0-dev (= ${binary:Version}),
 Description: Development files for the libostree library
  libostree is a library for managing bootable, immutable, versioned
  filesystem trees. It is like git in that it checksums individual files
