## ostree 2024.6

=== debian/changelog ===
ostree (2024.6-1deepin7) unstable; urgency=medium

  * add localization for ostree grub.

 -- wangzhaohui <wangzhaohui@uniontech.com>  Wed, 11 Dec 2024 14:38:47 +0800

ostree (2024.6-1deepin6) unstable; urgency=medium

  * rofiles-fuse support mknod. 

 -- xiamengliang <xiamengliang@uniontech.com>  Thu, 05 Dec 2024 17:34:45 +0800

ostree (2024.6-1deepin5) unstable; urgency=medium

  * fix: ensure update boot configuration for each deployment.

 -- lichenggang <lichenggang@deepin.org>  Thu, 24 Oct 2024 09:55:46 +0800

ostree (2024.6-1deepin4) unstable; urgency=medium

  * use a custom grub message

 -- wangzhaohui <wangzhaohui@uniontech.com>  Sat, 12 Oct 2024 15:21:52 +0800

ostree (2024.6-1deepin3) unstable; urgency=medium

  * use last boot as default if GRUB_SAVEDEFAULT set in grub

 -- ssk-wh <fanpengcheng@uniontech.com>  Tue, 08 Oct 2024 14:33:59 +0800

ostree (2024.6-1deepin2) unstable; urgency=medium

  * curl: Make socket callback during cleanup into no-op.
  * form: https://github.com/ostreedev/ostree/pull/3307/commits/4d755a85225ea0a02d4580d088bb8a97138cb040

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 23 Sep 2024 16:50:05 +0800

ostree (2024.6-1deepin1) unstable; urgency=medium

  * support deploy when root is an overlayfs

 -- xiamengliang <xiamengliang@uniontech.com>  Thu, 08 Aug 2024 14:25:11 +0800

ostree (2024.6-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Disable libcomposefs support.
    libcompose is not yet packaged in Debian (RFP: #1064457) and there
    is no longer a vendored copy included in ostree. I am not able to
    take responsibility for maintenance of libcompose, but I have no
    objection to re-enabling the relevant libostree features if someone
    else packages it.

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Jun 2024 16:06:43 +0100
