## ostree 2024.7

=== debian/changelog ===
ostree (2024.7-1) unstable; urgency=medium

  * New upstream release
    - debian/libostree-1-1.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jul 2024 10:21:26 +0100
