## ostree 2024.8

=== debian/changelog ===
ostree (2024.8-2) unstable; urgency=medium

  * d/p/tests-Work-around-GPG-2.2.45-error-behaviour-when-revokin.patch:
    Add proposed patch to work around a test failure with gnupg 2.2.45
    (Mitigates: #1086140)

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Oct 2024 11:00:06 +0000

ostree (2024.8-1) unstable; urgency=medium

  * New upstream release
  * d/p/curl-Assert-that-curl_multi_assign-worked.patch,
    d/p/curl-Make-socket-callback-during-cleanup-into-no-op.patch:
    Drop patches that were included in the new upstream release

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Sep 2024 18:49:10 +0100

ostree (2024.7-3) unstable; urgency=high

  * d/p/curl-Assert-that-curl_multi_assign-worked.patch,
    d/p/curl-Make-socket-callback-during-cleanup-into-no-op.patch:
    Add patches from upstream to avoid libflatpak crash with curl 8.10.x
    (Closes: #1082121)
  * d/copyright: Remove obsolete stanzas
  * Standards-Version: 4.7.0 (no changes required)
  * Set high urgency since the version of libcurl that triggered the
    regression has already migrated

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Sep 2024 09:57:08 +0100

ostree (2024.7-2) unstable; urgency=medium

  * d/control, d/rules: Disable gjs-based tests on armel.
    It's looking as though mozjs128, and therefore the next gjs release,
    will not support armel due to its lack of atomic instructions causing
    relatively basic features to be disabled. (Helps: #1080521)

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Sep 2024 18:16:11 +0100
