=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  elfutils,
  fuse3:native,
  gir1.2-gio-2.0-dev,
- gjs:native [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
+ gjs:native [!alpha !armel !hppa !ia64 !m68k !sh4 !sparc64 !x32],
  gnupg <!nocheck>,
  gobject-introspection,
  gobject-introspection (>= 1.78.1-7~) <cross>,
@@ -52,7 +52,7 @@
 Build-Depends-Indep:
  libglib2.0-doc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ostreedev/ostree/
 Vcs-Git: https://salsa.debian.org/debian/ostree.git
 Vcs-Browser: https://salsa.debian.org/debian/ostree
@@ -195,7 +195,7 @@
  cpio,
  fuse3,
  gir1.2-ostree-1.0,
- gjs [!alpha !hppa !ia64 !m68k !sh4 !sparc64 !x32],
+ gjs [!alpha !armel !hppa !ia64 !m68k !sh4 !sparc64 !x32],
  gnupg,
  ostree,
  python3,
