## ostree 2024.10

=== debian/changelog ===
ostree (2024.10-1) unstable; urgency=medium

  * New upstream release
  * d/salsa-ci.yml: Use recommended recipe
  * d/salsa-ci.yml: Re-enable tests

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Dec 2024 17:05:32 +0000

ostree (2024.9-1) unstable; urgency=medium

  * New upstream release
  * d/p/tests-Work-around-GPG-2.2.45-error-behaviour-when-revokin.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Nov 2024 09:27:19 +0000
