## ostree 2025.1

=== debian/changelog ===
ostree (2025.1-1) unstable; urgency=medium

  * New upstream release
  * d/libostree-1-1.symbols: Update
  * d/control: Use ${gir:Depends}, ${gir:Provides} in -dev package
    if available. Don't completely rely on those variables, for
    backportability.

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Jan 2025 10:46:58 +0000
