## ostree 2025.2

=== debian/changelog ===
ostree (2025.2-1) unstable; urgency=medium

  * New upstream release
  * Add myself to Uploaders (Closes: #1099068)
  * Don't install usr/lib/systemd/system/ostree-finalize-staged.path anymore
      in ostree-boot, it was dropped upstream.
  * Update debian/libostree-1-1.symbols
  * Standards-Version: 4.7.2 (no changes required)
  * d/copyright: Remove the old postal address of the Free Software Foundation
  * d/control: add new dependencies for libostree-dev

 -- Dylan Aïssi <daissi@debian.org>  Tue, 01 Apr 2025 17:17:30 +0200
