## ostree 2025.4

=== debian/changelog ===
ostree (2025.4-1) unstable; urgency=medium

  * New upstream release
  * Rebase patch series
  * d/libostree-1-1.symbols: Update
  * d/copyright: Update
  * d/control: Add jq to Build-Depends and -tests Depends
  * Prefer the OpenSSL flavour of libcurl.
    This is the one that upstream is going to be testing with in practice.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Aug 2025 20:12:13 +0100
