=== debian/control ===
--- 
+++ 
@@ -29,12 +29,13 @@
  gobject-introspection,
  gobject-introspection (>= 1.78.1-7~) <cross>,
  gtk-doc-tools <!nodoc>,
+ jq <!nocheck>,
  libarchive-dev,
  libattr1-dev,
  libavahi-client-dev,
  libavahi-glib-dev,
  libcap-dev,
- libcurl4-gnutls-dev | libcurl-dev,
+ libcurl4-openssl-dev | libcurl-dev,
  libfuse3-dev,
  libglib2.0-dev,
  libgpgme-dev,
@@ -103,7 +104,7 @@
  libarchive-dev,
  libavahi-client-dev,
  libavahi-glib-dev,
- libcurl-dev,
+ libcurl4-openssl-dev | libcurl-dev,
  libglib2.0-dev,
  libgpg-error-dev,
  libgpgme-dev,
@@ -210,6 +211,7 @@
  gir1.2-ostree-1.0,
  gjs [!alpha !armel !hppa !ia64 !m68k !sh4 !sparc64 !x32],
  gnupg,
+ jq,
  ostree,
  python3,
  python3-yaml,
