=== debian/tests/control ===
--- 
+++ 
@@ -12,4 +12,4 @@
 
 Tests: build
 Restrictions: superficial
-Depends: build-essential, libostree-dev, pkg-config
+Depends: build-essential, libostree-dev, pkgconf
