## ostree 2025.5

=== debian/changelog ===
ostree (2025.5-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Aug 2025 11:11:13 +0100
