## ostree 2025.6

=== debian/changelog ===
ostree (2025.6-1) unstable; urgency=medium

  * New upstream release
  * d/ostree-boot.install: Be less specific about the filenames used.
    2025.6 changed the sequence number for the dracut hook.

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 17:21:45 +0100
